Further sort smart class parameter overrides by value
Status: Closed   

Priority: Normal   

Assignee:    

Category: Parameters   

Target version:    

Difficulty: trivial Fixed in Releases: 1.20.0

Triaged: No Found in Releases:  

Bugzilla link: 1629564 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6077

  

Description

When visually searching a large number of parameter overrides, it can be

confusing when the elements are not listed in a predictable order.

Currently the elements are sorted by Matcher Type. While this is very

helpful, for one specific class customer has nearly 100 FQDN based overrides.

If the elements could be sub sorted by matcher value (fqdn ==

matcher_value) this would significantly reduce the time spent reviewing

the list.

Associated revisions

Revision 526e302f - 10/01/2018 07:27 AM - Pat Riehecky

Fixes #24969 - Further sort parameter overrides by value

History

#1 - 09/18/2018 07:39 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/6077 added

#2 - 09/19/2018 10:40 AM - Marek Hulán

- Bugzilla link set to 1629564

#3 - 10/01/2018 08:01 AM - Pat Riehecky

- Status changed from Ready For Testing to Closed

Applied in changeset 526e302fc69d8d1db706aa3dcf67766161aaf0d4.

#4 - 10/01/2018 09:02 AM - Marek Hulán

- Fixed in Releases 1.20.0 added
